1. #41
    Sencha User riyaad's Avatar
    Join Date
    Jul 2011
    Location
    Cape Town
    Posts
    240
    Vote Rating
    1
    Answers
    6
    riyaad is on a distinguished road

      0  

    Default


    Quote Originally Posted by PhilMerrell View Post
    really!? You don't think all these upgrade to 2.1 issues with phonegap could stem from the same problem?

    At any rate, mhousser, you might have better luck with the Sencha team if you tone it down just a notch... or you could always buy a premium forum membership
    Agreed ... play nice Mat.
    Ps ... FYI, anyone test it with PG (Cordova) 2.2?
    I see that has been released on the 1st November.
    Also - I'm not getting email notifications either! They stopped around 2 days ago.

  2. #42
    Sencha User
    Join Date
    Sep 2012
    Posts
    38
    Vote Rating
    0
    Answers
    1
    mhousser is on a distinguished road

      0  

    Default My test

    My test


    I did my test; with Sencha Architect I created brand new ST2.0 and ST2.1 projects. They contained just a 'hello world' label in their default views.

    In both of their automatically generated index.html files, I wrote the 'include phonegap.js' line that PGB requires me to write. That is the only modification.

    I uploaded the ST2.0 project to PGB, and it produced a perfectly functional app.

    I uploaded the ST2.1 project to PGB, and it produced a white screen garbage app.

    ST2.1 *clearly* caused some sort of incompatibility with PGB, though I don't understand why yet. Sencha folks, there are many of us affected by this.. not a word?

  3. #43
    Sencha User
    Join Date
    Sep 2012
    Posts
    38
    Vote Rating
    0
    Answers
    1
    mhousser is on a distinguished road

      0  

    Default PGB Version

    PGB Version


    As for the PG version I use in their Build service - I don't specify the version, so PGB automatically provides me with the latest version that PGB supports. The 'phonegap.js' file they automatically inject into the output package(s) are whatever the latest version is.

  4. #44
    Sencha Premium Member
    Join Date
    Mar 2012
    Location
    Boise, Idaho
    Posts
    84
    Vote Rating
    13
    Answers
    3
    PhilMerrell will become famous soon enough

      0  

    Default


    Quote Originally Posted by riyaad View Post
    Ps ... FYI, anyone test it with PG (Cordova) 2.2?
    Yes, I'm compiling my own using Cordova 2.2 w/ Sencha Touch 2.1. The results are the same.

  5. #45
    Sencha User
    Join Date
    Sep 2012
    Posts
    38
    Vote Rating
    0
    Answers
    1
    mhousser is on a distinguished road

      0  

    Default More advanced tests

    More advanced tests


    I have dived into using the all-powerful PGB 'Debug' tool. Basically it allows you to create a Debug build, and then you use their online debugging tool to see the console/elements/etc. in real time, as if you were running the app in Chrome.

    When I include the phonegap.js, I notice several things:
    1. There are no console errors or warning messages. There are no include problems. In fact, I see evidence that the application's init() is at least firing, from an info log that I write out.
    2. The DOM is *not* being fully generated. Inside the <body>, it is basically empty. ST2.1 fails to populate it with all its magical stuff - if and only if phonegap.js is included.
    I was really hoping to see an error, but I don't.. the mystery with ST2.1 + PGB continues..

  6. #46
    Sencha User
    Join Date
    Sep 2012
    Posts
    38
    Vote Rating
    0
    Answers
    1
    mhousser is on a distinguished road

      0  

    Default Related

    Related


    Oh look something similar (but also unresolved) involving ST2.1 and PhoneGap = White Broken App:

    http://www.sencha.com/forum/showthre...es-not-startup

  7. #47
    Sencha User
    Join Date
    Jun 2012
    Posts
    11
    Vote Rating
    0
    Answers
    1
    AndiDog is on a distinguished road

      0  

    Default


    Hi everyone, on request I updated my article Packaging a Sencha Touch 2 application with PhoneGap for Android to explain how to make it work with 2.1. I did not read this whole thread but I got my simple PhoneGap example to work fine using 2.1 and the Sencha Command utility.

    Hope that helps!

  8. #48
    Sencha User
    Join Date
    Nov 2007
    Posts
    4
    Vote Rating
    0
    mkramb is on a distinguished road

      0  

    Default


    Hi, is there any further info about this? I have 2.1 app, which in production build is not working (build using sencah cmd). Thanks for any info.

  9. #49
    Sencha User riyaad's Avatar
    Join Date
    Jul 2011
    Location
    Cape Town
    Posts
    240
    Vote Rating
    1
    Answers
    6
    riyaad is on a distinguished road

      0  

    Default


    Quote Originally Posted by mhousser View Post
    Oh look something similar (but also unresolved) involving ST2.1 and PhoneGap = White Broken App:

    http://www.sencha.com/forum/showthre...es-not-startup
    Thanks for this, although hacking the ST's js files may cause future issues when upgrading

  10. #50
    Sencha User riyaad's Avatar
    Join Date
    Jul 2011
    Location
    Cape Town
    Posts
    240
    Vote Rating
    1
    Answers
    6
    riyaad is on a distinguished road

      0  

    Default


    Quote Originally Posted by mkramb View Post
    Hi, is there any further info about this? I have 2.1 app, which in production build is not working (build using sencah cmd). Thanks for any info.
    Hi MKramb, welcome - same issue here. Currently playing the waiting game. Sencha - anything?